/*

  Reed Switch Module LM393 (Digital) (3 Pin)

  Parts required:
  - Arduino Board
  - Reed Switch Module LM393 (3 Pin)
  - Magnet

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 20 Jan 2020
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

// Initialize all variables
int digitalReadPin = 7;                             // set digitalReadPin as 7
int digitalReadValue;                               // set variable digitalReadValue

void setup() {
  Serial.begin(9600);                               // start Serial Monitor
  pinMode (digitalReadPin, INPUT);                  // set digitalReadPin as INPUT
}

void loop() {

  digitalReadValue = digitalRead(digitalReadPin);   // read value from digitalReadPin and store in digitalReadValue

  if (digitalReadValue == LOW) {                    // if digitalReadValue = LOW Do
    Serial.println("Activated...");                 // print text to Serial Monitor
  }
  else {
    Serial.println("Not Activated...");             // print text to Serial Monitor
  }

  delay(500);                                       // wait 500ms
}
